//DATFMTJ4 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       DATFMTJ4.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* TEXT   - COPY (OR REPRO) A KSDS TO A SEQUENTIAL FILE
//* AUTHOR - SIMOTIME TECHNOLOGIES
//* DATE   - JANUARY 01, 1989
//*
//* *******************************************************************
//* Step 1 of 2, Delete any previously created file...
//*
//QSAMDELT EXEC PGM=IEFBR14
//DATFMTD3 DD  DSN=SIMOTIME.DATA.DATFMTD3,DISP=(MOD,DELETE,DELETE),
//             SPACE=(TRK,(10,1),RLSE),
//             DCB=(RECFM=V,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, Create and populate a new QSAM file...
//*
//KSDTOSEQ EXEC PGM=IDCAMS
//SYSPRINT DD  SYSOUT=A
//DATFMTD2 DD  DSN=SIMOTIME.DATA.DATFMTD2,DISP=(SHR)
//DATFMTD3 DD  DSN=SIMOTIME.DATA.DATFMTD3,DISP=(NEW,CATLG,DELETE),
//             SPACE=(TRK,(10,1),RLSE),
//             DCB=(RECFM=V,LRECL=84,DSORG=PS)
//SYSIN DD *
 REPRO -
  INFILE(DATFMTD2) -
  OUTFILE(DATFMTD3)
/*
